export interface NPTEventProps {
  name?: string;
  id: string | number;
  endDate: Date;
  startDate: Date;
  task: string;
  workcenter: string;
}

export class NPTEvent implements NPTEventProps {
  name: string;
  resourceId: string | number;
  startDate: Date;
  endDate: Date;
  description!: string;
  id!: string | number;
  task!: string;
  workcenter!: string;

  constructor(props: NPTEventProps) {
    this.name = props.task;
    this.resourceId = props.workcenter;
    this.startDate = props.startDate;
    this.endDate = props.endDate;
    this.id = props.id;
    this.task = props.task;
    this.workcenter = props.workcenter;
  }
}
