// eslint-disable-next-line @typescript-eslint/no-var-requires
const path = require("path");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const { version } = require("./package.json");

process.env.VUE_APP_VERSION = version;

module.exports = {
  pages: {
    index: {
      entry: "src/main.ts",
      template: "public/index.html",
      filename: "index.html",
      title: "NPT"
    }
  },
  outputDir: "../api/NPTApi/wwwroot",

  configureWebpack: {
    resolve: {
      alias: {
        "@tests": path.resolve("tests")
      }
    }
  }
};
